## WDA Get Data Format

WDA Get Data Format

## Functions

QmiMessageWdaGetDataFormatOutput * | qmi_message_wda_get_data_format_output_ref ()
void | qmi_message_wda_get_data_format_output_unref ()
gboolean | qmi_message_wda_get_data_format_output_get_result ()
gboolean | qmi_message_wda_get_data_format_output_get_qos_format ()
gboolean | qmi_message_wda_get_data_format_output_get_link_layer_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol ()
gboolean | qmi_message_wda_get_data_format_output_get_ndp_signature ()
gboolean | qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_max_size ()
gboolean | qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size ()
void | qmi_client_wda_get_data_format ()
QmiMessageWdaGetDataFormatOutput * | qmi_client_wda_get_data_format_finish ()

## Types and Values

| QmiMessageWdaGetDataFormatOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWdaGetDataFormatOutput

## Description

## Functions

### qmi_message_wda_get_data_format_output_ref ()

    QmiMessageWdaGetDataFormatOutput *
    qmi_message_wda_get_data_format_output_ref
                                   (QmiMessageWdaGetDataFormatOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |

#### Returns

the new reference to `self` .

Since: 1.10

### qmi_message_wda_get_data_format_output_unref ()

    void
    qmi_message_wda_get_data_format_output_unref
                                   (QmiMessageWdaGetDataFormatOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |

Since: 1.10

### qmi_message_wda_get_data_format_output_get_result ()

    gboolean
    qmi_message_wda_get_data_format_output_get_result
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_qos_format ()

    gboolean
    qmi_message_wda_get_data_format_output_get_qos_format
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    gboolean *value_qos_format,
                                    GError **error);

Get the 'QoS Format' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_qos_format | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_link_layer_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_link_layer_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaLinkLayerProtocol *value_link_layer_protocol,
                                    GError **error);

Get the 'Link Layer Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_link_layer_protocol | a placeholder for the output QmiWdaLinkLayerProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_uplink_data_aggregation_protocol,
                                    GError **error);

Get the 'Uplink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_uplink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol ()

    gboolean
    qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_protocol
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    QmiWdaDataAggregationProtocol *value_downlink_data_aggregation_protocol,
                                    GError **error);

Get the 'Downlink Data Aggregation Protocol' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_downlink_data_aggregation_protocol | a placeholder for the output QmiWdaDataAggregationProtocol, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_ndp_signature ()

    gboolean
    qmi_message_wda_get_data_format_output_get_ndp_signature
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_ndp_signature,
                                    GError **error);

Get the 'NDP Signature' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_ndp_signature | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_get_data_format_output_get_uplink_data_aggregation_max_size
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_uplink_data_aggregation_max_size,
                                    GError **error);

Get the 'Uplink Data Aggregation Max Size' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_uplink_data_aggregation_max_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size ()

    gboolean
    qmi_message_wda_get_data_format_output_get_downlink_data_aggregation_max_size
                                   (QmiMessageWdaGetDataFormatOutput *self,
                                    guint32 *value_downlink_data_aggregation_max_size,
                                    GError **error);

Get the 'Downlink Data Aggregation Max Size' field from `self` .

#### Parameters

self | a QmiMessageWdaGetDataFormatOutput. |
value_downlink_data_aggregation_max_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.10

### qmi_client_wda_get_data_format ()

    void
    qmi_client_wda_get_data_format (QmiClientWda *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Data Format request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wda_get_data_format_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWda. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.10

### qmi_client_wda_get_data_format_finish ()

    QmiMessageWdaGetDataFormatOutput *
    qmi_client_wda_get_data_format_finish (QmiClientWda *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_wda_get_data_format()`.

#### Parameters

self | a QmiClientWda. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wda_get_data_format()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdaGetDataFormatOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wda_get_data_format_output_unref()`.

Since: 1.10

## Types and Values

### QmiMessageWdaGetDataFormatOutput

    typedef struct _QmiMessageWdaGetDataFormatOutput QmiMessageWdaGetDataFormatOutput;

The QmiMessageWdaGetDataFormatOutput structure contains private data and should only be accessed using the provided API.

Since: 1.10